Cis Tagging Category get

Cis Tagging Category get

Fetches the category information for the given category identifier. In order to view the category information, you need the read privilege on the category.

Request
URI
GET
https://{host}/api/cis/tagging/category/{categoryId}
COPY
Path Parameters
string
categoryId
Required  

The identifier of the input category.

The parameter must be an identifier for the resource type: com.vmware.cis.tagging.Category.


Authentication
This operation uses the following authentication methods.
Responses
200

The Cis Tagging CategoryModel that corresponds to categoryId.

Returns Cis Tagging CategoryModel of type(s) application/json
{
    "id": "string",
    "name": "string",
    "description": "string",
    "cardinality": "string",
    "associable_types": [
        "string"
    ],
    "used_by": [
        "string"
    ]
}
string
id
Required  

The unique identifier of the category.

When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.cis.tagging.Category. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.cis.tagging.Category.

string
name
Required  

The display name of the category.

string
description
Required  

The description of the category.

string
cardinality
Required  

The associated cardinality (Cardinality) of the category.

For more information see: Cis Tagging CategoryModel Cardinality.

array of string
associable_types
Required  

The types of objects that the tags in this category can be attached to. If the set is empty, then tags can be attached to all types of objects. This field works only for objects that reside in Inventory Service (IS). For non IS objects, this check is not performed today and hence a tag can be attached to any non IS object.

array of string
used_by
Required  

The set of users that can use this category. To add users to this, you need to have the edit privilege on the category. Similarly, to unsubscribe from this category, you need the edit privilege on the category. You should not modify other users subscription from this set.


403

if you do not have the privilege to read the category.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if the category for the given categoryId does not exist in the system.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/cis/tagging/category/{categoryId}